aboutsummaryrefslogtreecommitdiff
path: root/network/esmtp/esmtp.SlackBuild
diff options
context:
space:
mode:
authorVasilis Papavasileiou <el03020 at mail dot ntua dot gr>2010-05-11 22:25:15 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-11 22:25:15 +0200
commit5af4f2b0615f5e0d18ce4fd4411cf082878d6de4 (patch)
tree1ac508879096cfdac59e3fefb46f853355ef92cb /network/esmtp/esmtp.SlackBuild
parent7486f511ac77e7ba3992f9106431cf76132b279f (diff)
network/esmtp: Updated for version 1.0
Diffstat (limited to 'network/esmtp/esmtp.SlackBuild')
-rw-r--r--network/esmtp/esmtp.SlackBuild14
1 files changed, 10 insertions, 4 deletions
diff --git a/network/esmtp/esmtp.SlackBuild b/network/esmtp/esmtp.SlackBuild
index f8644562b657d..0106c7bd9a987 100644
--- a/network/esmtp/esmtp.SlackBuild
+++ b/network/esmtp/esmtp.SlackBuild
@@ -5,10 +5,11 @@
# Modified by the SlackBuilds.org project
PRGNAM=esmtp
-VERSION=0.5.1
+VERSION=1.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -20,8 +21,12 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
@@ -34,10 +39,11 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- || exit 1
+ --mandir=/usr/man \
+ --sysconfdir=/etc
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null